=== modified file 'Makefile.am'
--- Makefile.am	2009-04-17 00:14:28 +0000
+++ Makefile.am	2009-04-25 06:33:32 +0000
@@ -1,18 +1,17 @@
-# test
-# # Copyright (C) 2000-2006 MySQL AB
-# 
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-# 
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#  Copyright (C) 2009 Sun Microsystems
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; version 2 of the License.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
 ACLOCAL_AMFLAGS = -I m4 --force
 

=== modified file 'config/register_plugins.py'
--- config/register_plugins.py	2009-04-20 14:42:34 +0000
+++ config/register_plugins.py	2009-04-25 06:33:32 +0000
@@ -1,5 +1,21 @@
 #!/usr/bin/python
 
+#  Copyright (C) 2009 Sun Microsystems
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; version 2 of the License.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+
+
 # Find plugins in the tree and add them to the build system 
 
 import os, ConfigParser, sys
@@ -77,6 +93,7 @@
   #
   plugin_am.write("""
 plugin_lib%(name)s_dir=${top_srcdir}/%(rel_path)s
+EXTRA_DIST += %(rel_path)s/plugin.ini
 if %(build_conditional_tag)s
   noinst_LTLIBRARIES+=plugin/lib%(name)s_plugin.la
   plugin_lib%(name)s_plugin_la_LIBADD=%(libs)s

=== modified file 'configure.ac'
--- configure.ac	2009-04-19 08:57:08 +0000
+++ configure.ac	2009-04-25 06:33:32 +0000
@@ -1,6 +1,22 @@
 dnl -*- bash -*-
 dnl Process this file with autoconf to produce a configure script.
 
+dnl  Copyright (C) 2009 Sun Microsystems
+dnl
+dnl  This program is free software; you can redistribute it and/or modify
+dnl  it under the terms of the GNU General Public License as published by
+dnl  the Free Software Foundation; version 2 of the License.
+dnl
+dnl  This program is distributed in the hope that it will be useful,
+dnl  but WITHOUT ANY WARRANTY; without even the implied warranty of
+dnl  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+dnl  GNU General Public License for more details.
+dnl
+dnl  You should have received a copy of the GNU General Public License
+dnl  along with this program; if not, write to the Free Software
+dnl  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+
+
 AC_PREREQ(2.59)dnl		Minimum Autoconf version required.
 
 m4_include(m4/bzr_version.m4)

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-04-17 00:14:28 +0000
+++ drizzled/drizzled.cc	2009-04-25 06:33:32 +0000
@@ -57,7 +57,7 @@
 # endif
 #endif
 
-#include <storage/myisam/ha_myisam.h>
+#include <plugin/myisam/ha_myisam.h>
 
 #ifdef HAVE_SYS_PRCTL_H
 #include <sys/prctl.h>

=== modified file 'drizzled/handler.h'
--- drizzled/handler.h	2009-04-12 07:28:35 +0000
+++ drizzled/handler.h	2009-04-25 06:33:32 +0000
@@ -25,7 +25,7 @@
 
 /* Definitions for parameters to do with handler-routines */
 
-#include <storage/myisam/keycache.h>
+#include <plugin/myisam/keycache.h>
 #include <mysys/thr_lock.h>
 #include <mysys/hash.h>
 #include <drizzled/sql_string.h>

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2009-04-10 17:06:58 +0000
+++ drizzled/session.h	2009-04-25 06:33:32 +0000
@@ -1255,7 +1255,7 @@
 
 
 
-#include <storage/myisam/myisam.h>
+#include <plugin/myisam/myisam.h>
 
 #include <drizzled/tmp_table_param.h>
 

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2009-04-11 17:47:02 +0000
+++ drizzled/set_var.cc	2009-04-25 06:33:32 +0000
@@ -53,7 +53,7 @@
 
 #include <drizzled/server_includes.h>
 #include <mysys/my_getopt.h>
-#include <storage/myisam/myisam.h>
+#include <plugin/myisam/myisam.h>
 #include <drizzled/error.h>
 #include <drizzled/gettext.h>
 #include <drizzled/tztime.h>

=== modified file 'drizzled/sql_select.h'
--- drizzled/sql_select.h	2009-03-10 22:27:47 +0000
+++ drizzled/sql_select.h	2009-04-25 06:33:32 +0000
@@ -38,7 +38,7 @@
 /* PREV_BITS only used in sql_select.cc */
 #define PREV_BITS(type,A)	((type) (((type) 1 << (A)) -1))
 
-#include <storage/myisam/myisam.h>
+#include <plugin/myisam/myisam.h>
 #include <drizzled/sql_array.h>
 
 /* Values in optimize */

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2009-04-12 07:28:35 +0000
+++ drizzled/sql_table.cc	2009-04-25 06:33:32 +0000
@@ -16,7 +16,7 @@
 /* drop and alter of tables */
 
 #include <drizzled/server_includes.h>
-#include <storage/myisam/myisam.h>
+#include <plugin/myisam/myisam.h>
 #include <drizzled/show.h>
 #include <drizzled/error.h>
 #include <drizzled/gettext.h>

=== modified file 'drizzled/table.h'
--- drizzled/table.h	2009-04-12 20:55:58 +0000
+++ drizzled/table.h	2009-04-25 06:33:32 +0000
@@ -23,7 +23,7 @@
 #ifndef DRIZZLED_TABLE_H
 #define DRIZZLED_TABLE_H
 
-#include <storage/myisam/myisam.h>
+#include <plugin/myisam/myisam.h>
 #include <drizzled/order.h>
 #include <drizzled/filesort_info.h>
 #include <drizzled/natural_join_column.h>

=== modified file 'mystrings/decimal.cc'
--- mystrings/decimal.cc	2008-12-16 02:39:00 +0000
+++ mystrings/decimal.cc	2009-04-25 06:33:32 +0000
@@ -103,7 +103,7 @@
 #include "m_ctype.h"
 #include "decimal.h"
 
-#include <storage/myisam/myisampack.h>
+#include <plugin/myisam/myisampack.h>
 #include <drizzled/util/test.h>
 
 #include <alloca.h>

=== modified file 'mysys/ptr_cmp.cc'
--- mysys/ptr_cmp.cc	2008-11-07 00:35:38 +0000
+++ mysys/ptr_cmp.cc	2009-04-25 06:33:32 +0000
@@ -20,7 +20,7 @@
   */
 
 #include "mysys_priv.h"
-#include <storage/myisam/myisampack.h>
+#include "plugin/myisam/myisampack.h"
 
 static int ptr_compare(size_t *compare_length, unsigned char **a, unsigned char **b);
 static int ptr_compare_0(size_t *compare_length, unsigned char **a, unsigned char **b);

=== removed file 'plugin/crc32/configure.in'
--- plugin/crc32/configure.in	2008-07-13 08:00:16 +0000
+++ plugin/crc32/configure.in	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-AC_INIT(crc32, 0.1)
-AM_INIT_AUTOMAKE
-AC_DISABLE_STATIC
-AC_PROG_LIBTOOL
-AC_CONFIG_FILES([Makefile])
-AC_OUTPUT
-

=== modified file 'plugin/innobase/plugin.ini'
--- plugin/innobase/plugin.ini	2009-04-20 14:42:34 +0000
+++ plugin/innobase/plugin.ini	2009-04-25 06:33:32 +0000
@@ -23,7 +23,7 @@
   handler/handler0alter.cc
   handler/i_s.cc
   handler/mysql_addons.cc
-libs=\${top_srcdir}/plugin/innobase/libinnobase.la \${top_srcdir}/plugin/innobase/libpars.la
+libs=plugin/innobase/libinnobase.la plugin/innobase/libpars.la
 cflags=${NO_SHADOW} -I$(top_srcdir)/plugin/innobase/include -DBUILD_DRIZZLE
 cxxflags=${NO_SHADOW} -I$(top_srcdir)/plugin/innobase/include -DBUILD_DRIZZLE
 #cflags=${INNODB_DYNAMIC_CFLAGS} ${NO_SHADOW} -I$(top_srcdir)/storage/innobase/include -DBUILD_DRIZZLE

=== renamed directory 'storage/myisam' => 'plugin/myisam'
=== modified file 'plugin/myisam/ha_myisam.h'
--- storage/myisam/ha_myisam.h	2009-03-24 18:13:47 +0000
+++ plugin/myisam/ha_myisam.h	2009-04-25 06:33:32 +0000
@@ -22,7 +22,7 @@
 
 /* class for the the myisam handler */
 
-#include <storage/myisam/myisam.h>
+#include <plugin/myisam/myisam.h>
 
 #define HA_RECOVER_NONE		0	/* No automatic recover */
 #define HA_RECOVER_DEFAULT	1	/* Automatic recover active */

=== modified file 'plugin/myisam/my_handler.cc'
--- storage/myisam/my_handler.cc	2009-03-21 20:32:38 +0000
+++ plugin/myisam/my_handler.cc	2009-04-25 06:33:32 +0000
@@ -21,7 +21,7 @@
 
 #include <mystrings/m_ctype.h>
 #include <drizzled/base.h>
-#include <storage/myisam/my_handler.h>
+#include <plugin/myisam/my_handler.h>
 #include <mysys/my_sys.h>
 
 /**

=== modified file 'plugin/myisam/my_handler.h'
--- storage/myisam/my_handler.h	2009-03-30 18:27:35 +0000
+++ plugin/myisam/my_handler.h	2009-04-25 06:33:32 +0000
@@ -19,7 +19,7 @@
 #define _my_handler_h
 
 #include <mystrings/m_ctype.h>
-#include <storage/myisam/myisampack.h>
+#include <plugin/myisam/myisampack.h>
 #ifdef	__cplusplus
 extern "C" {
 #endif

=== modified file 'plugin/myisam/my_handler_errors.cc'
--- storage/myisam/my_handler_errors.cc	2009-03-21 20:32:38 +0000
+++ plugin/myisam/my_handler_errors.cc	2009-04-25 06:33:32 +0000
@@ -20,7 +20,7 @@
 #include <drizzled/global.h>
 #include <drizzled/base.h>
 #include <mysys/my_sys.h>
-#include <storage/myisam/my_handler.h>
+#include <plugin/myisam/my_handler.h>
 
 #include <drizzled/gettext.h>
 

=== modified file 'plugin/myisam/myisam.h'
--- storage/myisam/myisam.h	2009-03-04 22:49:53 +0000
+++ plugin/myisam/myisam.h	2009-04-25 06:33:32 +0000
@@ -28,7 +28,7 @@
 #ifndef _keycache_h
 #include "keycache.h"
 #endif
-#include <storage/myisam/my_handler.h>
+#include <plugin/myisam/my_handler.h>
 #include <mysys/iocache.h>
 
 /*

=== renamed file 'storage/myisam/Makefile.am' => 'plugin/myisam/plugin.am'
--- storage/myisam/Makefile.am	2009-03-30 18:27:35 +0000
+++ plugin/myisam/plugin.am	2009-04-25 06:33:32 +0000
@@ -1,86 +1,78 @@
-# Copyright (C) 2000-2006 MySQL AB
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-LDADD=			libmyisamutil.la \
-			libmyisamnone.la \
+#  Copyright (C) 2009 Sun Microsystems
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; version 2 of the License.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+
+noinst_LTLIBRARIES+=	plugin/myisam/libmyisam.la 
+noinst_HEADERS+=	\
+			plugin/myisam/ha_myisam.h \
+			plugin/myisam/keycache.h \
+			plugin/myisam/my_handler.h \
+			plugin/myisam/myisam.h \
+			plugin/myisam/myisamdef.h \
+			plugin/myisam/myisampack.h
+
+plugin_myisam_libmyisam_la_SOURCES= \
+			plugin/myisam/mf_keycache.cc \
+			plugin/myisam/mf_keycaches.cc \
+			plugin/myisam/mi_cache.cc \
+			plugin/myisam/mi_changed.cc \
+			plugin/myisam/mi_check.cc \
+			plugin/myisam/mi_checksum.cc \
+			plugin/myisam/mi_close.cc \
+			plugin/myisam/mi_create.cc\
+			plugin/myisam/mi_delete.cc \
+			plugin/myisam/mi_delete_all.cc \
+			plugin/myisam/mi_delete_table.cc \
+			plugin/myisam/mi_dynrec.cc \
+			plugin/myisam/mi_extra.cc \
+			plugin/myisam/mi_info.cc \
+			plugin/myisam/mi_key.cc \
+			plugin/myisam/mi_keycache.cc \
+			plugin/myisam/mi_locking.cc \
+			plugin/myisam/mi_open.cc \
+			plugin/myisam/mi_page.cc \
+			plugin/myisam/mi_panic.cc \
+			plugin/myisam/mi_preload.cc \
+			plugin/myisam/mi_range.cc \
+			plugin/myisam/mi_rename.cc \
+			plugin/myisam/mi_rfirst.cc \
+			plugin/myisam/mi_rkey.cc \
+			plugin/myisam/mi_rlast.cc \
+			plugin/myisam/mi_rnext.cc \
+			plugin/myisam/mi_rnext_same.cc \
+			plugin/myisam/mi_rprev.cc \
+			plugin/myisam/mi_rrnd.cc \
+			plugin/myisam/mi_rsame.cc \
+			plugin/myisam/mi_rsamepos.cc \
+			plugin/myisam/mi_scan.cc \
+			plugin/myisam/mi_search.cc \
+			plugin/myisam/mi_static.cc \
+			plugin/myisam/mi_statrec.cc \
+			plugin/myisam/mi_unique.cc \
+			plugin/myisam/mi_update.cc \
+			plugin/myisam/mi_write.cc \
+			plugin/myisam/my_handler.cc \
+			plugin/myisam/my_handler_errors.cc \
+			plugin/myisam/my_pread.cc \
+			plugin/myisam/sort.cc 
+
+nobase_bin_PROGRAMS+=	plugin/myisam/myisamchk
+plugin_myisam_myisamchk_SOURCES= \
+			plugin/myisam/mi_reportnone.cc \
+			plugin/myisam/myisamchk.cc
+plugin_myisam_myisamchk_LDADD=	\
+			plugin/myisam/libmyisam.la \
 			$(top_builddir)/mysys/libmysys.la \
 			$(top_builddir)/mystrings/libmystrings.la \
-			$(LIBZ) \
-			$(LIBINTL)
-
-EXTRA_DIST =		plug.in
-
-noinst_LTLIBRARIES =	libmyisam.la libmyisamutil.la \
-			libmyisamha.la libmyisamnone.la
-bin_PROGRAMS =		myisamchk
-
-noinst_HEADERS =	\
-			ha_myisam.h \
-			keycache.h \
-			my_handler.h \
-			myisam.h \
-			myisamdef.h \
-			myisampack.h
-
-libmyisamutil_la_SOURCES= \
-			mf_keycache.cc \
-			mf_keycaches.cc \
-			mi_cache.cc \
-			mi_changed.cc \
-			mi_check.cc \
-			mi_checksum.cc \
-			mi_close.cc \
-			mi_create.cc\
-			mi_delete.cc \
-			mi_delete_all.cc \
-			mi_delete_table.cc \
-			mi_dynrec.cc \
-			mi_extra.cc \
-			mi_info.cc \
-			mi_key.cc \
-			mi_keycache.cc \
-			mi_locking.cc \
-			mi_open.cc \
-			mi_page.cc \
-			mi_panic.cc \
-			mi_preload.cc \
-			mi_range.cc \
-			mi_rename.cc \
-			mi_rfirst.cc \
-			mi_rkey.cc \
-			mi_rlast.cc \
-			mi_rnext.cc \
-			mi_rnext_same.cc \
-			mi_rprev.cc \
-			mi_rrnd.cc \
-			mi_rsame.cc \
-			mi_rsamepos.cc \
-			mi_scan.cc \
-			mi_search.cc \
-			mi_static.cc \
-			mi_statrec.cc \
-			mi_unique.cc \
-			mi_update.cc \
-			mi_write.cc \
-			my_handler.cc \
-			my_handler_errors.cc \
-			my_pread.cc \
-			sort.cc 
-
-libmyisamha_la_SOURCES = ha_myisam.cc
-libmyisamnone_la_SOURCES = mi_reportnone.cc
-libmyisam_la_SOURCES = 
-libmyisam_la_LIBADD = libmyisamha.la libmyisamutil.la
-myisamchk_SOURCES = myisamchk.cc 
+			$(LIBZ)	$(LIBINTL)

=== renamed file 'storage/myisam/plug.in' => 'plugin/myisam/plugin.ini'
--- storage/myisam/plug.in	2008-08-12 21:13:01 +0000
+++ plugin/myisam/plugin.ini	2009-04-25 06:33:32 +0000
@@ -1,6 +1,23 @@
-DRIZZLE_STORAGE_ENGINE(myisam,no, [MyISAM Storage Engine],
-        [Traditional non-transactional MySQL tables])
-DRIZZLE_PLUGIN_DIRECTORY(myisam,  [storage/myisam])
-DRIZZLE_PLUGIN_STATIC(myisam,     [libmyisam.la])
-DRIZZLE_PLUGIN_MANDATORY(myisam)  dnl Default
-DRIZZLE_PLUGIN_DEPENDS_ON_DRIZZLE_INTERNALS(myisam, [ha_myisam.cc])
+#  Copyright (C) 2009 Sun Microsystems
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; version 2 of the License.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+
+[plugin]
+name=myisam
+title=MyISAM Storage Engine
+description=Legacy non-transactional MySQL tables
+load_by_default=yes
+sources=ha_myisam.cc
+libs=plugin/myisam/libmyisam.la mysys/libmysys.la mystrings/libmystrings.la
+ldflags=$(LIBZ) $(LIBINTL)

=== modified file 'storage/archive/ha_archive.cc'
--- storage/archive/ha_archive.cc	2009-04-10 23:38:17 +0000
+++ storage/archive/ha_archive.cc	2009-04-25 06:33:32 +0000
@@ -18,7 +18,7 @@
 #include "drizzled/field.h"
 #include "drizzled/field/blob.h"
 #include "drizzled/field/timestamp.h"
-#include "storage/myisam/myisam.h"
+#include "plugin/myisam/myisam.h"
 #include "drizzled/table.h"
 #include "drizzled/session.h"
 

=== modified file 'storage/heap/heap.h'
--- storage/heap/heap.h	2009-03-28 03:32:31 +0000
+++ storage/heap/heap.h	2009-04-25 06:33:32 +0000
@@ -27,7 +27,7 @@
 #include <mysys/my_pthread.h>
 #include <mysys/thr_lock.h>
 
-#include <storage/myisam/my_handler.h>
+#include <plugin/myisam/my_handler.h>
 #include <mysys/my_tree.h>
 
 	/* defines used by heap-funktions */

